# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'openam/user/version'

Gem::Specification.new do |spec|
  spec.name          = 'openam-user'
  spec.version       = Openam::User::VERSION
  spec.authors       = ['Jade D. Kharats']
  spec.email         = ['jade.kharats@gmail.com']

  spec.summary       = 'Librairie pour se connecter à un OpenAM <12.0'
  spec.description   = "OpenAM::User
    Librairie d'accès à OpenAM inférieur à la version 12.
    Cette librairie prend le compte utilisateur et le mot de passe.
    Si les informations sont correctes, le retour contient:
    - le prénom
    - le nom
    - l'uid
    - le token_id
    - la validité du compte"
  spec.homepage      = 'https://github.com/JadeKharats/openam-user'
  spec.license       = 'MIT'

  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = 'https://rubygems.org'
  else
    raise 'RubyGems 2.0 or newer is required'
  end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.12'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rubocop'
  spec.add_development_dependency 'pry'
  spec.add_development_dependency 'coveralls'
  spec.add_development_dependency 'minitest', '~> 5.0'
  spec.add_dependency 'http'
end
